import GLOOP.*;
public class Uhr{
    private Ziffernblatt dasZiffernblatt;
    private GLTafel anzeige;

    private Zeiger sekunden, minuten, stunden;

    public Uhr(double pX, double pY, String pOrt){
        dasZiffernblatt = new Ziffernblatt(pX,pY);
        anzeige = new GLTafel(pX,pY-300,0, 250,80);
        anzeige.setzeText(pOrt, 50);

        sekunden = new Zeiger(pX,pY,150,2, 360.0/60);
        minuten  = new Zeiger(pX,pY,150,5, 360.0/(60*60));
        stunden  = new Zeiger(pX,pY,80,5,  360.0/(60*60*12));      
    }
    
    public void weiter(){
        sekunden.weiter();
        minuten.weiter();
        stunden.weiter();
    }
    
    public void stelleZeit(int pStunden, int pMinuten){
        stunden.stelleDich(pStunden * 360 / 12);
        minuten.stelleDich(pMinuten * 360 / 60);
    }
}
