import GLOOP.*;
public class Schneemann{
    private GLObjekt[] elemente;

    public Schneemann(double pX, double pZ){       
        elemente = new GLObjekt[6];
        
        //Koerper
        elemente[0]  = new GLKugel (pX, 25,pZ,  75,"Schnee.jpg");
        elemente[1]  = new GLKugel (pX,130,pZ,  55,"Schnee.jpg");
        elemente[2]   = new GLKugel (pX,200,pZ,  35,"Schnee.jpg"); 

        //Auge 1
        elemente[3] = new GLKugel(0,200,35,  5);
        elemente[3].setzeFarbe(1,0,0); 
        elemente[3].drehe(-15,0,0,  0,200,0);
        elemente[3].drehe(0,-15,0,  0,200,0);
        elemente[3].verschiebe(pX,0,pZ);

        //Auge 2
        elemente[4] = new GLKugel(0,200,35,  5);
        elemente[4].setzeFarbe(1,0,0); 
        elemente[4].drehe(-15,0,0,  0,200,0);
        elemente[4].drehe( 0,15,0,  0,200,0);
        elemente[4].verschiebe(pX,0,pZ);

        //Nase
        elemente[5] = new GLKegelstumpf(0,200,50,  0,5,30);
        elemente[5].setzeFarbe(1,0.5,0);
        elemente[5].verschiebe(pX,0,pZ);
    }
    
    public GLObjekt[] gibElemente(){
        return elemente;
    }
   
}
