import GLOOP.*;
class Skulpturengarten{
    //Kamera und Umgebung deklarieren
    GLKamera kamera;
    GLLicht licht;
    GLBoden boden;
    GLHimmel himmel;

    //Sockel für die Skulpturen dekrarieren
    GLWuerfel s1,s2,s3,s4,s5,s6;

    //Skulpturen deklarieren
    GLWuerfel wuerfel;
    GLKugel kugel;
    GLTorus torus;
    GLKegel kegel;
    GLPrismoid prisma;
    GLZylinder zylinder;

    Skulpturengarten(){
        //Kamera und Umgebung erstellen
        kamera = new GLSchwenkkamera();
        kamera.setzePosition(0,300,500);
        licht  = new GLLicht();
        boden  = new GLBoden("Gras.jpg");
        himmel = new GLHimmel("Himmel.jpg");

        //Kugel erstellen
        s1 = new GLWuerfel(400,0,0, 100);
        s1.setzeTextur("Marmor.jpg");
        kugel = new GLKugel(400,100,0, 50);
        kugel.setzeTextur("Marmor.jpg");
        
        s1.drehe(0,0*60,0, 0,0,0);
        kugel.drehe(0,0*60,0, 0,0,0);

        //Würfel erstellen
        s1 = new GLWuerfel(400,0,0, 100);
        s1.setzeTextur("Marmor.jpg");
        wuerfel = new GLWuerfel(400,100,0, 60);
        wuerfel.setzeTextur("Marmor.jpg");
        wuerfel.drehe(45,0,45);

        s1.drehe(0,1*60,0, 0,0,0);
        wuerfel.drehe(0,1*60,0, 0,0,0);
        
        //Zylinder erstellen
        s1 = new GLWuerfel(400,0,0, 100);
        s1.setzeTextur("Marmor.jpg");
        zylinder = new GLZylinder(400,100,0, 50,50);
        zylinder.setzeTextur("Marmor.jpg");
        zylinder.drehe(45,0,45);

        s1.drehe(0,2*60,0, 0,0,0);
        zylinder.drehe(0,2*60,0, 0,0,0);
        
        //Torus erstellen
        s1 = new GLWuerfel(400,0,0, 100);
        s1.setzeTextur("Marmor.jpg");
        torus = new GLTorus(400,100,0, 50,15);
        torus.setzeTextur("Marmor.jpg");
        
        s1.drehe(0,3*60,0, 0,0,0);
        torus.drehe(0,3*60,0, 0,0,0);

        //Kegel erstellen
        s1 = new GLWuerfel(400,0,0, 100);
        s1.setzeTextur("Marmor.jpg");
        kegel = new GLKegel(400,100,0, 50,50);
        kegel.setzeTextur("Marmor.jpg");
        kegel.drehe(45,0,45);

        s1.drehe(0,4*60,0, 0,0,0);
        kegel.drehe(0,4*60,0, 0,0,0);
        
        //Kegel erstellen
        s1 = new GLWuerfel(400,0,0, 100);
        s1.setzeTextur("Marmor.jpg");
        kegel = new GLKegel(400,100,0, 50,50);
        kegel.setzeTextur("Marmor.jpg");
        kegel.drehe(45,0,45);

        s1.drehe(0,4*60,0, 0,0,0);
        kegel.drehe(0,4*60,0, 0,0,0);
        
        //Prisma erstellen
        s1 = new GLWuerfel(400,0,0, 100);
        s1.setzeTextur("Marmor.jpg");
        prisma = new GLPrismoid(400,100,0, 50,50,3,70);
        prisma.setzeTextur("Marmor.jpg");
        prisma.drehe(180,45,0);

        s1.drehe(0,5*60,0, 0,0,0);
        prisma.drehe(0,5*60,0, 0,0,0);
        
    }
}
