import GLOOP.*;
class Ringszene{
    //Kamera und Umgebung deklarieren
    GLKamera kamera;
    GLLicht licht;
    GLHimmel himmel;
    
    //Ringe deklarieren
    GLTorus r1,r2,r3,r4,r5;

    Ringszene(){
        //Kamera und Umgebung erstellen
        kamera = new GLSchwenkkamera();
        licht  = new GLLicht();
        himmel = new GLHimmel("Himmel.jpg");
        
        //Ringe erstellen
        r1 = new GLTorus(-280,70,0, 120,10);
        r2 = new GLTorus(0,70,0, 120,10);
        r3 = new GLTorus(+280,70,0, 120,10);
        r4 = new GLTorus(-140,-70,0, 120,10);
        r5 = new GLTorus(+140,-70,0, 120,10);
        
        //Ringe färben
        r1.setzeFarbe(0,0,1);
        r2.setzeFarbe(0,0,0);
        r3.setzeFarbe(1,0,0);
        r4.setzeFarbe(1,1,0);
        r5.setzeFarbe(0,1,0);        
        
        //Ringe drehen
        r1.drehe(0,-10,0);
        r2.drehe(0,-10,0);
        r3.drehe(0,-10,0);
        
        r4.drehe(0,10,0);
        r5.drehe(0,10,0);
    }
}
