import GLOOP.*;
public class Ufospiel{
    private GLKamera kamera;
    private GLLicht licht;
    private GLTastatur tastatur;
    private GLHimmel himmel;

    private Ufo dasUfo;
    private Asteroid asteroid1,asteroid2,asteroid3;

    public Ufospiel(){
        kamera = new GLSchwenkkamera(800,600);  
        kamera.verschiebe(0,200,500);
        licht  = new GLLicht();
        tastatur = new GLTastatur();
        himmel = new GLHimmel("Sterne.jpg");

        dasUfo = new Ufo();

        asteroid1 = new Asteroid(dasUfo);
        asteroid2 = new Asteroid(dasUfo);
        asteroid3 = new Asteroid(dasUfo);

        fuehreAus();
    }

    public void fuehreAus(){
        while(!tastatur.esc()){
            if (tastatur.links()) dasUfo.bewegeLinks();
            if (tastatur.rechts()) dasUfo.bewegeRechts();

            asteroid1.bewegeDich();
            asteroid2.bewegeDich();
            asteroid3.bewegeDich();

            Sys.warte();
        }
        Sys.beenden(); 
    }
}
