import GLOOP.*;
public class Schneemannszene {
    private GLKamera kamera;
    private GLLicht  licht;  
    private GLHimmel himmel;
    private GLBoden  boden;

    private Schneemann[] schneemann;

    public Schneemannszene(){
        kamera = new GLSchwenkkamera(800,600);
        kamera.setzePosition(-600,400,800);
        licht  = new GLLicht();  
        boden  = new GLBoden("Schnee.jpg");
        himmel = new GLHimmel("Himmel.jpg");

        schneemann = new Schneemann[20];

        for(int i=0; i<20; i++){
            int zufall = (int)(Math.random()*4);
            if (zufall==0)
                schneemann[i] = new Schneemann(Math.random()*2000-1000,Math.random()*2000-1000);
            if (zufall==1)
                schneemann[i] = new Indianer(Math.random()*2000-1000,Math.random()*2000-1000);
            if (zufall==2)
                schneemann[i] = new Englaender(Math.random()*2000-1000,Math.random()*2000-1000);
            if (zufall==3)
                schneemann[i] = new Chinese(Math.random()*2000-1000,Math.random()*2000-1000);
        }
    }
}
